/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';
@import '../../style/utils/sizes';

//
// Item
//

nv-search-box {
  --border-radius: 0;
  --border-bottom-width: 0;
}

::slotted(nv-select-option-wrapper:last-child)::before {
  display: none;
} 

:host(.nv-select-wrapper) {
  display: none;
  height: 52px;
  left: 0;
  position: absolute;
  top: 0;
  width: 0;
  z-index: 3000;
}

.nv-select-items {
  @extend .transition-exit;
  background-color: var(--nv-theme-alt-2);
  border-color: var(--nv-border-color);
  border-bottom-color: var(--nv-border-color);
  border-radius: 4px;
  border-style: solid;
  border-bottom-style: solid;
  border-width: 0 0 2px;
  border-bottom-width: 2px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  left: 0;
  max-height: 260px;
  opacity: 0;
  overflow-x: hidden;
  overflow-y: auto;
  position: absolute;
  top: 0;
  transform: scale(0.9);
  transition-property: opacity transform visibility height padding;
  visibility: hidden;
  width: 100%;

  nv-text-field {
    border-radius: 0;
  }
}

:host(.nv-select-items-opened) .nv-select-items {
  @extend .transition-entrance;
  opacity: 1;
  transform: scale(1);
  visibility: visible;
}

:host(.nv-select-align-items-bottom) .nv-select-items {
  bottom: 0;
  display: flex;
  flex-direction: column-reverse;
  top: unset;
}
